package intrinsic.mx.managers;

public class PopUpManagerImpl extends Object implements intrinsic.mx.managers.IPopUpManager {

	/** Accessors */

	/** Variables */
	public intrinsic.Class modalWindowClass;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public PopUpManagerImpl() {
}


/** Static Methods */
public static native intrinsic.mx.managers.IPopUpManager getInstance();

/** Methods */
public native void centerPopUp(intrinsic.mx.core.IFlexDisplayObject arg0);
public native void addPopUp(intrinsic.mx.core.IFlexDisplayObject arg0, intrinsic.flash.display.DisplayObject arg1);
public native void addPopUp(intrinsic.mx.core.IFlexDisplayObject arg0, intrinsic.flash.display.DisplayObject arg1, boolean arg2);
public native void addPopUp(intrinsic.mx.core.IFlexDisplayObject arg0, intrinsic.flash.display.DisplayObject arg1, boolean arg2, String arg3);
public native void bringToFront(intrinsic.mx.core.IFlexDisplayObject arg0);
public native void removePopUp(intrinsic.mx.core.IFlexDisplayObject arg0);
public native intrinsic.mx.core.IFlexDisplayObject createPopUp(intrinsic.flash.display.DisplayObject arg0, intrinsic.Class arg1);
public native intrinsic.mx.core.IFlexDisplayObject createPopUp(intrinsic.flash.display.DisplayObject arg0, intrinsic.Class arg1, boolean arg2);
public native intrinsic.mx.core.IFlexDisplayObject createPopUp(intrinsic.flash.display.DisplayObject arg0, intrinsic.Class arg1, boolean arg2, String arg3);

}
